org.apache.commons.jelly

## Class DynaTagSupport

- java.lang.Object
- - org.apache.commons.jelly.TagSupport
  - - org.apache.commons.jelly.DynaTagSupport

All Implemented Interfaces:
  DynaTag, Tag

Direct Known Subclasses:
  DynaBeanTagSupport, DynamicTag, MapTagSupport, StaticTag

    public abstract class DynaTagSupport
    extends TagSupport
    implements DynaTag

`DynaTagSupport` is an abstract base class for any DynaTag implementation to derive from.

Version:
  $Revision: 155420 $
Author:
  James Strachan

### Field Summary

### Fields inherited from class org.apache.commons.jelly.TagSupport

`body, context, parent`

### Constructor Summary

Constructors
Constructor and Description
`DynaTagSupport()`

### Method Summary

Methods
`java.lang.Class` `getAttributeType(java.lang.String name)`

### Methods inherited from class org.apache.commons.jelly.TagSupport

`findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, getBody, getBodyText, getBodyText, getContext, getParent, invokeBody, isEscapeText, isTrim, setBody, setContext, setEscapeText, setParent, setTrim, trimBody`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.commons.jelly.DynaTag

`setAttribute`

### Methods inherited from interface org.apache.commons.jelly.Tag

`doTag, getBody, getContext, getParent, invokeBody, setBody, setContext, setParent`

### Constructor Detail

#### DynaTagSupport

    public DynaTagSupport()

### Method Detail

#### getAttributeType

    public java.lang.Class getAttributeType(java.lang.String name)
                                     throws JellyTagException

Specified by:
  `getAttributeType` in interface `DynaTag`
Returns:
  the type of the given attribute. By default just return Object.class if this is not known.
Throws:
  `JellyTagException`